AWS
action SSM

# delete_document

Deletes a Systems Manager (SSM) document

Run it now
View details

Type | action
Module | chaosaws.ssm.actions
Name | delete_document
Return | mapping

Usage

JSON

    {
      "name": "delete-document",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.ssm.actions",
        "func": "delete_document",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: delete-document
    provider:
      arguments:
        name: ""
      func: delete_document
      module: chaosaws.ssm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Document Name |
version_name | string | null | No | Version Name |
force | boolean | true | No | Force |

An SSM document defines the actions that SSM performs on your managed instances.

More information about SSM documents:

- https://docs.aws.amazon.com/systems-manager/latest/userguide/sysman-ssm-docs.html
- https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/ssm.html#SSM.Client.create_document

Signature

    def delete_document(
            name: str,
            version_name: str = None,
            force: bool = True,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action SSM

  ## `create_document`

  Creates a Systems Manager (SSM) document
- AWS
  action SSM

  ## `put_parameter`

  Add or update a parameter in the Systems Manager Parameter Store
- AWS
  action SSM

  ## `send_command`

  Runs commands on one or more managed instances